.parking-diagram-container {
    position: relative;
    width: 2442px;
    height: 2265px;
}

.parking-diagram {
    width: 100%;
    height: 100%;
}

.icon-container {
    position: absolute;
    top: 0;
    left: 0;
}

.icon {
    font-size: 30px;
    color: #00ff00;
    position: absolute;
    cursor: pointer;
    transition: color 0.3s;
}

/* Стилі для попапу */
.popup {
    display: none;
    position: absolute;
    background: #ffffff;
    padding: 15px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.7);
    border-radius: 5px;
    z-index: 1; /* Підняття попапу поверх інших елементів */
    max-width: 300px; /* Максимальна ширина попапу */
}

/* Toggle this class - hide and show the popup */
.popup .show {
    visibility: visible;
    -webkit-animation: fadeIn 1s;
    animation: fadeIn 1s;
}

.popup-close {
    position: absolute;
    top: 5px;
    right: 5px;
    cursor: pointer;
    color: #000000;
}

/* Стилі для попапу */
.sell {
    display: none;
    position: absolute;
    background: #ffffff;
    padding: 15px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.7);
    border-radius: 5px;
    z-index: 1; /* Підняття попапу поверх інших елементів */
    max-width: 300px; /* Максимальна ширина попапу */
}

/* Toggle this class - hide and show the sell */
.sell .show {
    visibility: visible;
    -webkit-animation: fadeIn 1s;
    animation: fadeIn 1s;
}

.sell-close {
    position: absolute;
    top: 5px;
    right: 5px;
    cursor: pointer;
    color: #000000;
}

p {
    margin: 0;
    color: #333333;
}

.myButtonGreen {
    box-shadow: inset 0px 1px 0px 0px #9acc85;
    background: linear-gradient(to bottom, #74ad5a 5%, #68a54b 100%);
    background-color: #74ad5a;
    border: 1px solid #3b6e22;
    display: inline-block;
    cursor: pointer;
    color: #ffffff;
    font-family: Arial;
    font-size: 16px;
    font-weight: bold;
    padding: 6px 12px;
    text-decoration: none;
}

.myButtonGreen:hover {
    background: linear-gradient(to bottom, #68a54b 5%, #74ad5a 100%);
    background-color: #68a54b;
}

.myButtonGreen:active {
    position: relative;
    top: 1px;
}

.myButtonRed {
    box-shadow:inset 0px 1px 0px 0px #cf866c;
    background:linear-gradient(to bottom, #d0451b 5%, #bc3315 100%);
    background-color:#d0451b;
    border-radius:3px;
    border:1px solid #942911;
    display:inline-block;
    cursor:pointer;
    color:#ffffff;
    font-family:Arial;
    font-weight: bold;
    margin: 20px;
    font-size:16px;
    padding:6px 24px;
    text-decoration:none;
    text-shadow:0px 1px 0px #854629;
}
.myButtonRed:hover {
    background:linear-gradient(to bottom, #bc3315 5%, #d0451b 100%);
    background-color:#bc3315;
}
.myButtonRed:active {
    position:relative;
    top:1px;
}

